# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nifty/version'

Gem::Specification.new do |spec|
  spec.name          = 'nifty'
  spec.version       = Nifty::VERSION
  spec.authors       = ['Michal Kimle']
  spec.email         = ['kimle.michal@gmail.com']

  spec.summary       = %q{A tool for uploading and registering cloud appliances in OpenNebula.}
  spec.description   = %q{A tool for uploading and registering cloud appliances in OpenNebula.}
  spec.homepage      = 'https://github.com/Misenko/nifty'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0.0'
  spec.add_development_dependency 'simplecov', '~> 0.9.0'
  spec.add_development_dependency 'rubygems-tasks', '~> 0.2.4'
  spec.add_development_dependency 'rubocop', '~> 0.32'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'forgery', '~> 0.6'

  spec.add_runtime_dependency 'settingslogic', '~> 2.0.9'
  spec.add_runtime_dependency 'thor', '~> 0.19'
  spec.add_runtime_dependency 'yell', '~> 2.0'
  spec.add_runtime_dependency 'activesupport', '~> 4.2'
  spec.add_runtime_dependency 'opennebula', '~> 5.2'
  spec.add_runtime_dependency 'cloud-appliance-descriptor', '~> 0.2'
  spec.add_runtime_dependency 'json-schema', '~> 2.5'
  spec.add_runtime_dependency 'tilt', '~> 2.0'
  spec.add_runtime_dependency 'chronic_duration', '~> 0.10'
  spec.add_runtime_dependency 'mixlib-shellout', '~> 2.2'

  spec.required_ruby_version = '>= 1.9.3'
end
